# Uses of Interface
org.eclipse.jdt.core.IInitializer

Packages that use IInitializer
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of IInitializer in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return IInitializer
Modifier and Type
Method
Description
`IInitializer`
IType.`createInitializer(String contents, IJavaElement sibling, IProgressMonitor monitor)`
Creates and returns a static initializer in this type with the given contents.
`IInitializer`
IType.`getInitializer(int occurrenceCount)`
Returns the initializer with the specified position relative to the order they are defined in the source.
`IInitializer[]`
IType.`getInitializers()`
Returns the initializers declared by this type.

## Uses of IInitializer in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type IInitializer
Modifier and Type
Method
Description
`static void`
JavaElementLabels.`getInitializerLabel(IInitializer initializer, long flags, StringBuffer buf)`
Appends the label for a initializer to a `StringBuffer`.
`static void`
JavaElementLabels.`getInitializerLabel(IInitializer initializer, long flags, StyledString result)`
Appends the label for a initializer to a `StyledString`.